Name: gnash
Version: 0.8.5
Release: alt3

Summary: GNU Flash player
License: GPLv3
Group: Video
Url: http://www.gnu.org/software/gnash/

Requires: libgnash = %version-%release

Source: http://ftp.gnu.org/pub/gnu/%name/%version/%name-%version.tar.bz2
Patch1: gnash-0.8.5-alt-kde3.patch
Patch2: gnash-0.8.5-alt-kde4.patch
Patch3: gnash-0.8.4-alt-utils.patch
Patch4: gnash-0.8.5-alt-ltdl.patch
Patch5: gnash-0.8.4-alt-klashpart-kdDebug.patch
Patch6: gnash-0.8.5-alt-klashpart4-kdDebug.patch
Patch7: gnash-0.8.5-trunk.patch

BuildRequires(Pre): browser-plugins-npapi-devel
BuildRequires: boost-devel doxygen gcc-c++ gst-plugins-devel kde4libs-devel kdelibs-devel libSDL-devel
BuildRequires: libXt-devel libXv-devel libagg-devel libcurl-devel libexpat-devel libgtk+2-devel libjpeg-devel
BuildRequires: libltdl-devel libming-devel libming-utils libqt3-devel libspeex-devel zip

%description
Standalone GNU Flash Player.

%package klash
Group: Video
Summary: KDE Flash player
Requires: libgnash = %version-%release

%description klash
GNU Flash player for KDE.

%package klash4
Group: Video
Summary: KDE4 Flash player
Requires: libgnash = %version-%release

%description klash4
GNU Flash player for KDE4.

%package -n libgnash
Group: System/Libraries
Summary: Libraries for GNU Flash Player
Requires: gst-ffmpeg gst-plugins-bad gst-plugins-base gst-plugins-good gst-plugins-ugly

%description -n libgnash
Libraries for GNU Flash Player

%package -n mozilla-plugin-gnash
Group: Networking/WWW
Summary: GNU Flash Player plugin for Firefox and Mozilla
Requires: libgnash = %version-%release
Requires: gnash = %version-%release
Requires: browser-plugins-npapi

%description -n mozilla-plugin-gnash
GNU Flash Player plugin for Firefox and Mozilla

%prep
%setup -q

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

rm -f macros/{*lt*,libtool}.m4

%build
%autoreconf
%configure \
	--enable-renderer=agg \
	--enable-media=gst \
	--with-npapi-plugindir=%browser_plugins_path \
	--enable-gui=gtk2,kde3,kde4 \
	--with-qt3-lib=%_libdir/qt3 \
	--with-kde4-lib=%_libdir/kde4link \
	--disable-static

echo "#define HAVE_POLL_H 1" >> gnashconfig.h
subst "s|^\(KDE4_CFLAGS\).*|\1 = -I%_includedir/kde4|" plugin/klash4/Makefile
%make_build

%install
%make DESTDIR=%buildroot install install-plugins

find %buildroot%_libdir/%name -name \*.la -delete

%find_lang %name

%files -f %name.lang
%doc AUTHORS NEWS README COPYING TODO
%_bindir/gnash
%_bindir/gtk-gnash
%_datadir/%name
%_man1dir/%name.1*

%files klash
%_bindir/kde3-gnash
%_libdir/kde3/libklashpart.so
%_datadir/apps/klash
%_datadir/services/klash_part.desktop

%files klash4
%_bindir/kde4-gnash
%_libdir/kde4/libklashpart.so
%_datadir/kde4/apps/klash
%_datadir/kde4/services/klash_part.desktop

%files -n libgnash
%_sysconfdir/gnashrc
%_libdir/%name

%files -n mozilla-plugin-gnash
%_sysconfdir/gnashpluginrc
%browser_plugins_path/libgnashplugin.so

%changelog
* Tue Mar 10 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.8.5-alt3
- bazaar revision 10688

* Thu Mar 05 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.8.5-alt2
- 0.8.5 release

* Sun Mar 01 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.8.5-alt1.rc
- 0.8.5 RC

* Thu Feb 12 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.8.5-alt1.beta
- fixed plugin for KDE4

* Tue Feb 10 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.8.5-alt0.beta
- 0.8.5 beta

* Sun Nov 30 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.8.4-alt3
- klashpart: disabled debug messages

* Wed Nov 26 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.8.4-alt2
- bazaar revision 10356

* Tue Oct 14 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.8.4-alt1
- 0.8.4

* Thu Jun 26 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.8.3-alt1
- 0.8.3

* Sun Apr 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.8.2-alt1
- 0.8.2

* Fri Oct 05 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.8.1-alt1
- New version.

* Wed Jun 13 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.8.0-alt1
- New version

* Sun Feb 25 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.7.2-alt2
- Added dependancy for gnash to mozilla plugin (thanks ab@ for notice)

* Wed Nov 29 2006 Damir Shayhutdinov <damir@altlinux.ru> 0.7.2-alt1
- 0.7.2 release 

* Sat Jan 14 2006 Damir Shayhutdinov <damir@altlinux.ru> 0.7-alt0.cvs.20051211
- Initial build for ALT Linux.
